 <?php
include '../../connect.php';
session_start();

$kadPengenalan =$_GET['kadPengenalan'];

date_default_timezone_set("Asia/Kuala_Lumpur");			
$tarikhmohon=date('d-m-Y');
$masamohon=date('H:i:s');

$destinasi =strtoupper($_POST['destinasi']);
$tujuan = strtoupper($_POST['tujuan']);
$bilpenumpang = $_POST['bilpenumpang'];
$namapenumpang = strtoupper($_POST['namapenumpang']);
$tarikhDari = $_POST['tarikhDari'];
$tarikhHingga = $_POST['tarikhHingga'];
$masaDari = $_POST['masaDari'];
$masaHingga = $_POST['masaHingga'];

$destinasiNew = mysqli_real_escape_string($conn,$destinasi);
$tujuanNew = mysqli_real_escape_string ($conn,$tujuan);
$namapenumpangNew = mysqli_real_escape_string ($conn,$namapenumpang);

$tarikhmohonNew = date("Y-m-d", strtotime($tarikhmohon));
$tarikhDariNew = date("Y-m-d", strtotime($tarikhDari));
$tarikhHinggaNew = date("Y-m-d", strtotime($tarikhHingga));

$sql="SELECT tempahanID FROM tempahan_kenderaan WHERE '$tarikhDariNew' BETWEEN tarikhDestinasiDari AND tarikhDestinasiHingga AND status !='BATAL';";
//$sql="SELECT tempahanID FROM tempahan_kenderaan WHERE '$tarikhDariNew' BETWEEN tarikhDestinasiDari AND tarikhDestinasiHingga AND '$tarikhHinggaNew' BETWEEN tarikhDestinasiDari AND tarikhDestinasiHingga AND status !='BATAL';";
$result = mysqli_query($conn,$sql);
$row = mysqli_num_rows($result);

    
    if($kadPengenalan=="")
	{
		mysqli_commit($conn);
		echo "<script>alert('Permohonan gagal. Sila mohon semula. ');";
		echo "window.location.href = '../loginPage.html';</script>";
		exit;
	}
	else if($tarikhmohon =="" || $destinasi == "" || $tujuan =="" || $bilpenumpang == "" || $namapenumpang == "" || $tarikhDari == "" || $tarikhHingga == "" || $masaDari == "" || $masaHingga == "" )
	{
		mysqli_commit($conn);
		echo "<script>alert('Sila lengkapkan maklumat tempahan. ');";
		echo "window.location.href = '../tempahanKenderaan.php';</script>";
		exit;
		
	}
	else if ($row>=1)
	{
		$query="INSERT INTO tempahan_kenderaan (kad_pengenalan ,tarikhMohon, masaMohon, tarikhDestinasiDari, tarikhDestinasiHingga,masaDari,masaHingga,destinasi,tujuan, bil_penumpang,nama_penumpang,status)
		VALUES ('".$kadPengenalan."','".$tarikhmohonNew."','".$masamohon."','".$tarikhDariNew."' ,'".$tarikhHinggaNew."','".$masaDari."','".$masaHingga."','".$destinasiNew."','".$tujuanNew."','".$bilpenumpang."','".$namapenumpangNew."','SENARAI MENUNGGU')";
		$strQuery = mysqli_query($conn,$query);
		
		if($strQuery) 
			{
						
				echo "<script>alert('Tarikh dan waktu tempahan anda telah di mohon oleh pemohon lain. Permohonan anda akan dimasukkan ke SENARAI MENUNGGU.');";
					echo "window.location.href = '../DashboardKenderaan.php';</script>";
					exit;
			}
			else
			{
				echo 'MySQL Error: ' . mysqli_error($conn);
				exit;
			}
	}
	else
	{
			$query="INSERT INTO tempahan_kenderaan (kad_pengenalan ,tarikhMohon, masaMohon, tarikhDestinasiDari, tarikhDestinasiHingga,masaDari,masaHingga,destinasi,tujuan, bil_penumpang,nama_penumpang,status)
			VALUES ('".$kadPengenalan."','".$tarikhmohonNew."','".$masamohon."','".$tarikhDariNew."' ,'".$tarikhHinggaNew."','".$masaDari."','".$masaHingga."','".$destinasiNew."','".$tujuanNew."','".$bilpenumpang."','".$namapenumpangNew."','SEDANG DIPROSES')";
			$strQuery = mysqli_query($conn,$query);
			
			if($strQuery) 
				{
							
					echo "<script>alert('Maklumat tempahan kenderaan berjaya dihantar.');";
						echo "window.location.href = '../DashboardKenderaan.php';</script>";
						exit;
				}
				else
				{
					echo 'MySQL Error: ' . mysqli_error($conn);
					exit;
				}
	}
?>
